import request from '@/utils/request'

// 查询cmc品牌项目列表
export function listBrandProject(query) {
  return request({
    url: '/oa/brandProject/list',
    method: 'get',
    params: query
  })
}

// 查询cmc品牌项目详细
export function getBrandProject(projectId) {
  return request({
    url: '/oa/brandProject/' + projectId,
    method: 'get'
  })
}

// 新增cmc品牌项目
export function addBrandProject(data) {
  return request({
    url: '/oa/brandProject',
    method: 'post',
    data: data
  })
}

// 修改cmc品牌项目
export function updateBrandProject(data) {
  return request({
    url: '/oa/brandProject',
    method: 'put',
    data: data
  })
}

// 删除cmc品牌项目
export function delBrandProject(projectId) {
  return request({
    url: '/oa/brandProject/' + projectId,
    method: 'delete'
  })
}
